org.apache.fop.pdf

## Class PDFAction

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFAction

- All Implemented Interfaces:
    PDFWritable
  Direct Known Subclasses:
    PDFGoTo, PDFGoToRemote, PDFInternalLink, PDFJavaScriptLaunchAction, PDFLaunch, PDFUri

      public abstract class PDFAction
      extends PDFObject

  class representing an action object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFAction()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `encodeScript(java.lang.String text)`
    `abstract java.lang.String` | `getAction()` represent the action to call this method should be implemented to return the action which gets called by the Link Object.

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFAction

          public PDFAction()

  - ### Method Detail

    - #### getAction

          public abstract java.lang.String getAction()

      represent the action to call this method should be implemented to return the action which gets called by the Link Object. This could be a reference to another object or the specific destination of the link
      Returns:
        the action to place next to /A within a Link

    - #### encodeScript

          protected java.lang.String encodeScript(java.lang.String text)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.